## game-data-packager 84

=== debian/changelog ===
game-data-packager (84) unstable; urgency=medium

  * Bug fixes:
    - civctp: Fix the build [Sébastien Noel]
    - rune, smac, soldier-of-fortune:
      Improve packaging structure and generated dependencies on
      .deb-based distributions [Sébastien Noel, smcv]
      + The rune and soldier-of-fortune metapackages are now
        Architecture: i386, matching the proprietary binaries they need
      + The smac metapackage is still Architecture: all so that its Python
        dependencies can work, but it depends on the i386-only smac-bin
        package in a more robust way
    - smac: Generate appropriate dependencies on Arch and Fedora [smcv]
  * Debian packaging:
    - Re-upload to unstable after NEW processing [smcv]

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Feb 2025 14:46:50 +0000

game-data-packager (83) experimental; urgency=medium

  * Internal changes:
    - Build binary-compatibility shims for older binary-only games
      as part of this source package (the lokishim/ directory),
      instead of building them when affected game data is packaged.
      This makes it easier to detect and fix bugs in the shim code,
      for example when it fails to compile with an updated compiler.
      [Sébastien Noel]
    - lokishim: Silence compiler warnings for unused arguments [smcv]
    - build: Only require a C compiler when actually building shims [smcv]
    - doc/adding_a_game.mdwn: Describe how developers can build for i386
      on Debian amd64 without always needing to go through the packaging
      workflow [smcv]
  * Debian packaging:
    - d/control: Add a game-data-packager-libs binary package for the
      binary-compatibility shims. This is currently i386-only, but is
      structured so that it could become Multi-Arch: same if we find
      that similar binary-compatibility shims are required for amd64
      games in future. [Sébastien Noel]
    - d/copyright.in: Update [smcv]
    - d/control: Fix a typo detected by Lintian [smcv]
    - d/g-d-p.lintian-overrides: Silence a Lintian false positive [smcv]
    - Release to experimental for NEW processing [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Feb 2025 15:11:18 +0000

game-data-packager (82) unstable; urgency=medium

  * New versions:
    - hexen2: add music packages (CD & GOG.com rip) [Sébastien Noel]
    - icewind-dale-1: add French version [Sébastien Noel]
    - unreal: Add authorized ISO images from the Internet Archive.
      These make our Unreal Classic and Unreal Gold packages fully
      free-to-download (but redistribution is still not allowed). [smcv]
    - ut99: Add details of authorized UT:GOTY ISO image from the
      Internet Archive. Unfortunately we can't currently build packages
      from this, because the maps use proprietary compression. [smcv]
  * Bug fixes:
    - civctp, kohan, smac: Make lokishim compile successfully with
      gcc 14 [Sébastien Noel]
    - hexen2: use latest game-data (1.29b) from the uHexen2 project,
      earlier versions are gone [Sébastien Noel] (Closes: #1090800)
    - railroad-tycoon2: fix checksum for a file from an undamaged
      original cd [Sébastien Noel]
    - unreal: Fix building packages without the Return to Na Pali addon
      [smcv]
    - unreal: Deduplicate Textures/MenuGr.utx into unreal-data [smcv]
  * Debian packaging:
    - d/control: update list of supported games [Sébastien Noel]

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Feb 2025 12:39:51 +0000
