=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
 David Banks <amoebae@gmail.com>,
 Jack Coulter <jscinoz@gmail.com>,
 Jonathan Dowland <jmtd@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 bash-completion,
 dbus-daemon,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-sequence-cruft,
 dh-sequence-python3,
 imagemagick,
 inkscape (>= 1.0~),
 meson (>= 0.61.0),
 python3:any,
 python3-debian,
 python3-yaml:any,
 xmlstarlet,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
Homepage: https://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python3-debian,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 game-data-packager-runtime (>= ${source:Version}),
Suggests:
 7zip,
 arj,
 binutils,
 cabextract,
 cdparanoia,
 dynamite,
 gcc,
 gdebi | gdebi-kde,
 gir1.2-gdkpixbuf-2.0,
 innoextract,
 lame,
 lgc-pg,
 lgogdownloader,
 lhasa | jlha-utils | lzh-archiver,
 make,
 pkexec,
 python3-gi,
 python3-omg,
 python3-pil,
 steam-installer | steam-launcher,
 steamcmd,
 unace-nonfree,
 unar,
 unrar,
 unshield,
 unzip,
 vorbis-tools,
 xdelta,
 xdelta3,
 xorriso,
Breaks:
 game-data-packager-runtime (<< ${source:Version}),
Architecture: all
Multi-Arch: foreign
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for:
 .
  * 3 Skulls of the Toltecs
  * The 7th Guest
  * A Mind Forever Voyaging
  * Alex the Allegator 4
  * Aliens versus Predator
  * Amazon: Guardians of Eden
  * Arthur: the Quest for Excalibur
  * Arx Fatalis
  * Baldur's Gate 1 and 2
  * Ballyhoo
  * Bargon Attack
  * Beavis and Butthead in Virtual Stupidity
  * The Bizarre Adventures of Woodruff and the Schnibble
  * The Black Cauldron
  * The Blackwell series
  * Blade Runner
  * Blake Stone and Planet Strike
  * Blue Force
  * Border Zone
  * Bud Tucker in Double Trouble
  * Castle of Dr. Brain and The Island of Dr. Brain
  * Broken Sword
  * Bureaucracy
  * Caesar 3
  * Chex Quest and Chex Quest 2
  * Chivalry is Not Dead
  * Civilization: Call to Power
  * Codename: ICEMAN
  * Commander Keen 1 to 6
  * Conquests of Camelot: The Search for the Grail
  * Conquests of the Longbow: The Legend of Robin Hood
  * Cruise for a Corpse
  * Cutthroats
  * Deadline
  * Descent 1, 2 and 3
  * Detective Gallo
  * The Dig
  * Discworld 1 and 2
  * Doom, The Ultimate Doom, Doom 2, The Master Levels for Doom 2, Final Doom
  * Doom 3 and BFG Edition
  * Dračí Historie
  * Dreamweb
  * Duke Nukem 1 and 3D
  * Dune 2: Battle for Arrakis
  * EcoQuest 1 and 2
  * The Elder Scrolls 3: Morrowind
  * Elvira 1 and 2
  * Enchanter
  * Enclosure
  * Eye of the Beholder 1 and 2
  * The Feeble Files
  * Flashback
  * Flight of the Amazon Queen
  * Freddy Pharkas: Frontier Pharmacist
  * Freespace 2
  * Full Throttle
  * Future War (Les Voyageurs du Temps)
  * Gabriel Knight 1 and 2
  * Gemini Rue
  * Gobliiins 1, 2 and 3
  * Gold Rush!
  * The Griffon Legend
  * Grim Fandango
  * HacX
  * Hank's Quest
  * Heavy Gear 2
  * Heretic, Hexen, Hexen 2 and Heretic 2
  * Heroes of Might & Magic 2 and 3
  * The Hitchhiker's Guide to the Galaxy
  * Hollywood Hijinx
  * Homeworld
  * Hopkins FBI
  * Hoyle's Official Book of Games
  * Hugo's House of Horrors, Hugo 2, Hugo 3
  * I Have No Mouth, and I Must Scream
  * Icewind Dale 1 and 2
  * Indiana Jones and the Fate of Atlantis
  * Indiana Jones and the Last Crusade
  * Infidel
  * Inherit the Earth
  * Ion Fury
  * Jazz Jackrabbit
  * James Clavell's Shōgun
  * Jones in the Fast Lane
  * Journey: Part One of the Golden Age Trilogy
  * Kathy Rain
  * King's Quest 1 to 7
  * Kohan: Immortal Sovereigns
  * The Labyrinth of Time
  * Lands of Lore: The Throne of Chaos
  * Laura Bow 1 and 2
  * Leather Goddesses of Phobos 1 and 2
  * Legend of Kyrandiar 1, 2 and 3
  * Leisure Suit Larry 1, 2, 3, 5, 6 and 7
  * LGeneral (Panzer General)
  * Lighthouse: The Dark Being
  * Little Big Adventure
  * The Longest Journey
  * Loom
  * Lost in Time
  * The Lurking Horror
  * The Manhole
  * Manhunter 1 and 2
  * Maniac Mansion and Day of the Tentacle
  * Marathon 1, 2 and 3
  * Master Of Orion
  * Medal of Honor: Allied Assault
  * Mixed-Up Mother Goose & Mixed-Up Fairy Tales
  * Monkey Island 1, 2 and 3
  * Moonmist
  * Mortville Manor
  * Myst: Masterpiece Edition, Riven, Myst III
  * Mystery House
  * The Neverhood
  * Nippon Safes Inc.
  * Nord and Bert Couldn't Make Head or Tail of It
  * Once Upon A Time: Little Red Riding Hood
  * Operation Stealth
  * Pajama Sam series
  * Personal Nightmare
  * Phantasmagoria 1 and 2
  * Planescape: Torment
  * Planetfall
  * Plundered Hearts
  * Police Quest 1 to 4
  * Postal
  * Prey
  * Primordia
  * Quadrilateral Cowboy
  * Quake, Quake 2, Quake 3 Arena, Quake 4, Enemy Territory: Quake Wars
  * Quest For Glory 1, 2 and 3
  * Railroad Tycoon 2
  * Redneck Rampage
  * Resonance
  * Rex Nebular and the Cosmic Gender Bender
  * Ringworld 1 and 2
  * Rise of the Triad
  * Rodney's Funscreen
  * Roller Coaster Tycoon 1 and 2
  * Rune
  * Sam & Max Hit the Road
  * Seastalker
  * Serious Sam: The First and Second Encounter
  * The Settlers 2
  * Sfinx
  * Shadow Warrior
  * Shardlight
  * The Lost Files of Sherlock Holmes: The Case of the Serrated Scalpel
  * The Lost Files of Sherlock Holmes: The Case of the Rose Tattoo
  * Sherlock: The Riddle of the Crown Jewels
  * The Shivah
  * Sid Meier's Alpha Centauri
  * SimCity 3000 Unlimited
  * Simon the Sorcerer 1, 2 and Puzzle Pack
  * Slater & Charlie Go Camping
  * Soldier of Fortune
  * Soltys
  * Sorcerer
  * Space Quest 1 to 6
  * Spellbreaker
  * Star Wars: Dark Forces
  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
  * Starcross
  * Starship Titanic
  * Stationfall
  * Strife
  * Suspect
  * Suspended
  * Syndicate
  * System Shock
  * Super 3D Noah's Ark
  * Technobabylon
  * TeenAgent
  * Theme Hospital
  * Thimbleweed Park
  * Tomb Raider 1
  * Tony Tough and the Night of Roasted Moths
  * Toonstruck
  * Torin's Passage
  * Touché: The Adventures of the Fifth Musketeer
  * Transport Tycoon Deluxe
  * Trinity
  * Troll's Tale
  * Tyrian
  * Ultima IV & VII
  * Unreal, Unreal Gold and Unreal Tournament (1999 and 2004)
  * Urban Runner
  * Waxworks
  * Ween: The Prophecy
  * Winnie the Pooh in the Hundred Acre Wood
  * Wishbringer
  * Witness
  * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
  * Wolfenstein: Enemy Territory
  * X-COM: UFO Defense
  * Zak McKracken and the Alien Mindbenders
  * Zork 1, 2 and 3, Beyond Zork, Zork Zero, Return to Zork, Zork: The
    Undiscovered Underground
  * Zork Grand Inquisitor and Zork Nemesis

Package: etqw
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 etqw-bin | game-data-packager,
 game-data-packager-runtime (>= ${source:Version}),
 ${misc:Depends},
Recommends:
 libasound2-plugins | pipewire-alsa,
 pulseaudio | pipewire-alsa,
 pulseaudio | pipewire-audio,
Suggests:
 etqw-pb-bin,
Description: science-fiction-themed multiplayer first person shooter
 Enemy Territory: Quake Wars is a multiplayer first-person shooter game
 by Splash Damage and id Software, released in 2007.
 This package contains a launcher script and menu entry to play
 ETQW using the proprietary x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: etqw-server
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 etqw-bin | game-data-packager,
 etqw-data | game-data-packager,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 systemd-sysv,
Suggests:
 etqw-pb-bin,
Description: dedicated server for Enemy Territory: Quake Wars
 This package contains a launcher script and systemd unit to run a
 Enemy Territory: Quake Wars server using the proprietary
 x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To mitigate any security flaws that might exist in this server,
 the systemd unit is not enabled by default, and must be enabled
 with systemctl if it should start at boot time. The systemd unit
 uses various security hardening options to prevent the server from
 escalating its privileges. There is no sysvinit script,
 since sysvinit does not provide similar security hardening.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: game-data-packager-runtime
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-gtk-4.0,
 gir1.2-pango-1.0,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Architecture: all
Multi-Arch: foreign
Description: Launcher for proprietary games
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 Some of the games supported by game-data-packager need to be
 started by a special launcher script that will create symbolic
 links or do other setup. This package contains those launcher
 scripts.
 .
 The following games currently require this package:
 .
  * Doom 2: The Master Levels (doom2-masterlevels-wad)
  * Quake series and Enemy Territory: Quake Wars
    (quake, quake2, quake3, quake4, etqw)
  * Return to Castle Wolfenstein (rtcw)
  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
    (openjk-outcast, openjk-academy)
  * Unreal, Unreal Gold and Unreal Tournament
    (unreal-classic, unreal-gold, ut99)

Package: game-data-packager-runtime-libs
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 game-data-packager-runtime (>= ${source:Version}),
Description: Helper libraries required by legacy i386 binary-only games
 Some old binary-only games released by Loki Entertainment for Linux 2.4
 in 1999-2001 requires library compatibility workarounds to run on modern
 systems.
 .
 This package is required if you want to play any of these games:
 .
  * Civilization: Call to Power
  * Kohan: Immortal Sovereigns
  * Sid Meier's Alpha Centauri
  * SimCity 3000 Unlimited

Package: quake
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 game-data-packager-runtime (>= ${source:Version}),
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine,
 ${misc:Depends},
Suggests:
 quake-armagon (>= 29),
 quake-armagon-music,
 quake-dissolution (>= 29),
 quake-dissolution-music,
 quake-dopa (>= 45),
 quake-music,
Description: classic gothic/horror-themed first person shooter
 Quake is a classic first-person shooter game by id Software,
 released in 1996. This package contains a launcher script and menu
 entry to play Quake with any suitable engine.
 .
