## game-data-packager 85.1

=== debian/changelog ===
game-data-packager (85.1) unstable; urgency=medium

  * Bug fixes:
    - runtime: Ensure that the installation directory is present in
      sys.path (Closes: #1096186) [smcv]
    - Never unpack the same entry from a stream more than once
      (Closes: #1052371) [smcv]
    - When unpacking a stream, ignore wanted files we already found [smcv]
    - When unpacking a stream, don't remove from the list of files we
      expect to find until after we have checked their content [smcv]
    - When unpacking a stream, make sure each unpacked file gets a unique
      temporary name [smcv]
    - Adjust a generated Lintian override to accommodate both old and new
      syntaxes [smcv]
  * Internal changes:
    - Add a regression test for #1052371 [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 03 May 2025 16:43:46 +0100

game-data-packager (85) unstable; urgency=medium

  * New versions:
    - mohaa: add GOG installer files [Sébastien Noel]
  * Debian packaging:
    - Don't provide a D-Bus session bus to run Inkscape, avoiding a crash
      with an uncaught Gio::DBus::Error (Closes: #1102099) [Santiago Vila]
    - Set environment variables to stop Inkscape's dependencies from
      connecting to D-Bus [smcv]
    - Drop build-dependency on dbus-daemon, no longer needed [smcv]
    - Wrap the build with xvfb-run, because Inkscape now expects an X11 or
      Wayland display even when running non-interactively [smcv]
    - Standards-Version: 4.7.2 (no changes required) [smcv]
    - Apply full compiler hardening [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Apr 2025 14:21:55 +0100
