=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  bash-completion,
- dbus-daemon,
  debhelper-compat (= 13),
  dh-apparmor,
  dh-sequence-cruft,
@@ -21,10 +20,12 @@
  python3:any,
  python3-debian,
  python3-yaml:any,
+ xauth,
  xmlstarlet,
+ xvfb,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager
