=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 #export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DH_OPTIONS
 
 include /usr/share/dpkg/pkg-info.mk
@@ -17,6 +18,18 @@
 export XDG_DATA_HOME = $(CURDIR)/debian/temp-home/.local/share
 # Disable tests that are not appropriate at build-time
 export DEB_BUILD_TIME_TESTS = 1
+# Turn off features of Inkscape and its dependencies that would normally
+# try to connect to the D-Bus session bus
+export DBUS_SESSION_BUS_ADDRESS=invalid:
+export GIO_USE_MEMORY_MONITOR=none
+export GIO_USE_NETWORK_MONITOR=netlink
+export GIO_USE_PORTALS=0
+export GIO_USE_POWER_PROFILE_MONITOR=none
+export GIO_USE_VFS=local
+export GIO_USE_VOLUME_MONITOR=unix
+export GSETTINGS_BACKEND=memory
+export GTK_USE_PORTAL=0
+unexport XDG_RUNTIME_DIR
 
 override_dh_auto_configure:
 	dh_auto_configure \
@@ -25,10 +38,9 @@
 		-Dgamedatadir=share/games \
 		$(NULL)
 
+# Inkscape expects an X11 or Wayland display
 override_dh_auto_build:
-	dbus-run-session -- dh_auto_build \
-		-- \
-		$(NULL)
+	xvfb-run -a -s "-screen 0 1024x768x24" dh_auto_build
 
 execute_after_dh_auto_clean:
 	@if [ "`echo *.deb`" != "*.deb" ]; then \
