=== debian/changelog ===
game-data-packager (86) unstable; urgency=medium

  * New games:
    - Diablo, for use with the devolutionx engine [Sébastien Noel]
  * New versions:
    - doom: Sigil 1.23 [Sébastien Noel]
  * Enhancements and bug fixes:
    - caesar3: Mark German version as missing [Alexandre Detiste]
    - civctp: Configure sdl12-compat to list common full-screen video modes
      as windowed modes, if sufficiently new (currently only 1.2.69 git
      snapshots implement this) [Sébastien Noel]
    - hhgg: Download from Zarf's archive instead of douglasadams.com
      (Closes: #1114590)
    - larry7: Fix an incorrect file list [Alexandre Detiste]
    - postal1: Add support for Postal 1 to the launcher [Sébastien Noel]
    - postal1: Don't install POSTAL.INI [Sébastien Noel]
    - quake2: Stop building native-code game modules for official mission
      packs; these are included in yamagi-quake2{,-core} since Debian 13
      and Ubuntu 24.04 [Simon McVittie]
    - quake3: Add compatibility with newer ioquake3 engines, which migrate
      from ~/.q3a to ~/.config/Quake3, ~/.local/share/Quake3,
      ~/.local/state/Quake3. The demo still uses ~/.q3ademo. [Simon McVittie]
    - Tag some games with their genre [Sébastien Noel]
    - make-template: fix output if a file is named with trailing space
      [Sébastien Noel]
    - Set environment variables to stop Inkscape's dependencies from
      connecting to D-Bus in the upstream build system, not just the
      Debian packaging [Simon McVittie]
  * Debian packaging:
    - Centralize i386 audio Recommends into game-data-packager-runtime-libs,
      and make all i386 binary-only games depend on it [Simon McVittie]
    - Suggest nvidia-driver-libs:i386 for i386 binary-only games
      [Simon McVittie]
    - Drop "Rules-Requires-Root: no" which is the default since Debian 13
      [Alexandre Detiste]
  * Internal changes:
    - Re-enable piuparts on Salsa-CI [Sébastien Noel]
    - launcher: Replace 'fake_cdrom_path' with a generic 'extra_env' dict
      [Sébastien Noel]
    - REUSE: convert to current format [Simon McVittie]
    - build: Require Meson 1.7.0 (Debian 13) [Simon McVittie]

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 09:54:39 +0000
