=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  dh-sequence-python3,
  imagemagick,
  inkscape (>= 1.0~),
- meson (>= 0.61.0),
+ meson (>= 1.7.0),
  python3:any,
  python3-debian,
  python3-yaml:any,
@@ -24,7 +24,6 @@
  xmlstarlet,
  xvfb,
  zip,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
@@ -295,11 +294,8 @@
 Depends:
  etqw-bin | game-data-packager,
  game-data-packager-runtime (>= ${source:Version}),
+ game-data-packager-runtime-libs (>= ${source:Version}),
  ${misc:Depends},
-Recommends:
- libasound2-plugins | pipewire-alsa,
- pulseaudio | pipewire-alsa,
- pulseaudio | pipewire-audio,
 Suggests:
  etqw-pb-bin,
 Description: science-fiction-themed multiplayer first person shooter
@@ -316,6 +312,10 @@
  etqw-bin, and etqw-data.
  Creating those packages requires data files from an "Enemy Territory:
  Quake Wars" installation or DVD.
+ .
+ Additional i386 libraries are required for sound and accelerated graphics
+ on some systems. Please see the game-data-packager-runtime-libs package's
+ description for details.
 
 Package: etqw-server
 Architecture: i386
@@ -394,36 +394,28 @@
  ${shlibs:Depends},
 Recommends:
  game-data-packager-runtime (>= ${source:Version}),
+ libasound2-plugins | pipewire-alsa,
+ pulseaudio | pipewire-alsa,
+ pulseaudio | pipewire-audio,
+Suggests:
+ nvidia-driver-libs,
 Description: Helper libraries required by legacy i386 binary-only games
- Some old binary-only games released by Loki Entertainment for Linux 2.4
- in 1999-2001 requires library compatibility workarounds to run on modern
- systems.
- .
- This package is required if you want to play any of these games:
- .
-  * Civilization: Call to Power
-  * Kohan: Immortal Sovereigns
-  * Sid Meier's Alpha Centauri
-  * SimCity 3000 Unlimited
-
-Package: quake
-Architecture: all
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- game-data-packager-runtime (>= ${source:Version}),
- quake-registered | quake-shareware | game-data-packager,
- quakespasm | quake-engine,
- ${misc:Depends},
-Suggests:
- quake-armagon (>= 29),
- quake-armagon-music,
- quake-dissolution (>= 29),
- quake-dissolution-music,
- quake-dopa (>= 45),
- quake-music,
-Description: classic gothic/horror-themed first person shooter
- Quake is a classic first-person shooter game by id Software,
- released in 1996. This package contains a launcher script and menu
- entry to play Quake with any suitable engine.
- .
+ This package provides Recommends and Suggests on some libraries that are
+ required for 32-bit games on some systems, but not required on others.
+ .
+ For accelerated graphics:
+ .
+  * On systems that use Mesa graphics drivers, no additional graphics
+    drivers are needed: libglx-mesa0:i386 should have been installed
+    automatically by games that require it.
+  * On systems that use the Nvidia proprietary graphics driver, please
+    install nvidia-driver-libs:i386.
+ .
+ For sound:
+ .
+  * On systems that use pipewire for sound, such as default GNOME
+    desktop installations since Debian 12, please install
+    pipewire-alsa:i386.
+  * On systems that use the pulseaudio, jackd1 or jackd2 sound servers,
+    please install libasound2-plugins:i386.
+ .
