=== debian/rules ===
--- 
+++ 
@@ -18,18 +18,6 @@
 export XDG_DATA_HOME = $(CURDIR)/debian/temp-home/.local/share
 # Disable tests that are not appropriate at build-time
 export DEB_BUILD_TIME_TESTS = 1
-# Turn off features of Inkscape and its dependencies that would normally
-# try to connect to the D-Bus session bus
-export DBUS_SESSION_BUS_ADDRESS=invalid:
-export GIO_USE_MEMORY_MONITOR=none
-export GIO_USE_NETWORK_MONITOR=netlink
-export GIO_USE_PORTALS=0
-export GIO_USE_POWER_PROFILE_MONITOR=none
-export GIO_USE_VFS=local
-export GIO_USE_VOLUME_MONITOR=unix
-export GSETTINGS_BACKEND=memory
-export GTK_USE_PORTAL=0
-unexport XDG_RUNTIME_DIR
 
 override_dh_auto_configure:
 	dh_auto_configure \
