## game-data-packager 87

=== debian/changelog ===
game-data-packager (87) unstable; urgency=medium

  * New versions:
    - doom3: Support the GOG releases, both "Classic" and BFG Edition
      [Adam Robinson]
    - quake2: Detect the GOG release [Adam Robinson]
    - quake4: Support the GOG release [Adam Robinson]
    - ut99: Update to 469e [Sébastien Noel, Simon McVittie]
  * Enhancements and bug fixes:
    - launcher: Add missing mappings from language code to its name for
      English (UK), Hebrew, Japanese, Korean and Portuguese (Brazil),
      needed for discworld2, flight-of-the-amazon-queen, arx-fatalis, etqw
      and grimfandango respectively (Closes: #1119924) [Simon McVittie]
    - heavy-gear2: add a music package, ripping audio from the CD
      [Sébastien Noel]
    - keen6: Add support for v1.5 [Sébastien Noel]
    - rott: Prefer the taradino engine [Simon McVittie]
    - various games: Use alternatives to ftp.3drealms.com [Sébastien Noel]
    - various games: Fix GOG URLs [Adam Robinson]
    - build: Fix spurious warnings "x should have provided y but did not"
      [Simon McVittie]
  * Internal changes:
    - runtime: fix "DeprecationWarning: Gtk.Widget.show is deprecated"
      [Alexandre Detiste]
    - Start adding test coverage for parts of gdp-launcher [Simon McVittie]

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Dec 2025 16:44:14 +0000
